DEVKIT(1)

NAME
devkit - DeviceKit command line tool

SYNOPSIS

devkit [--monitor] [--subsystem name] [--native-path path] [--version] [--help]

DESCRIPTION

devkit is a simple command line client for the DeviceKit(7) daemon.

OPTIONS

--subsystem name
    Enumerate devices from the subsystem with the given name and prints details to stdout. This option may be repeated to print out devices from several subsystems.

--native-path path
    Enumerate devices with the given path and prints details to stdout. This option may be repeated to print out several devices from several.

--monitor
    Connect to the DeviceKit daemon and print out details to stdout for a device when an event occurs. The DeviceKit daemon will be inhibited from exiting while monitoring.

--help
    Show help options.

--version
    Show version of the client and the running daemon.

AUTHOR

Written by David Zeuthen <davidz@redhat.com> with a lot of help from many others.

BUGS

Please send bug reports to either the distribution or the DeviceKit mailing list, see http://lists.freedesktop.org/mailman/listinfo/devkit-devel on how to subscribe.

SEE ALSO

devkit-daemon(8), DeviceKit(7), dbus-daemon(1), udev(7)